mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
From: Roland Hieber <rhi@pengutronix.de>
To: ptxdist@pengutronix.de
Cc: Roland Hieber <rhi@pengutronix.de>
Subject: [ptxdist] [PATCH v2 1/2] ptxd_make_world_license: handle PDFs in _LICENSE_FILES
Date: Thu,  8 Jul 2021 20:52:54 +0200
Message-ID: <20210708185255.3303-1-rhi@pengutronix.de> (raw)

If PDF files are found in the _LICENSE_FILES variable, include them as
literal pages in license-report.pdf with the 'pdfpages' package, which
nowadays comes preinstalled with most LaTeX distributions.

Signed-off-by: Roland Hieber <rhi@pengutronix.de>
---
* v1 -> v2: no changes

 scripts/lib/ptxd_make_license_report.sh |  2 ++
 scripts/lib/ptxd_make_world_license.sh  | 41 ++++++++++++++++---------
 2 files changed, 28 insertions(+), 15 deletions(-)

diff --git a/scripts/lib/ptxd_make_license_report.sh b/scripts/lib/ptxd_make_license_report.sh
index c92dc725d1f7..bed5bd1d43c5 100644
--- a/scripts/lib/ptxd_make_license_report.sh
+++ b/scripts/lib/ptxd_make_license_report.sh
@@ -18,6 +18,7 @@ ptxd_make_license_report_header() {
 	\usepackage{tikz}
 	\usepackage{adjustbox}
 	\usepackage{spverbatim}
+	\usepackage{pdfpages}
 	\hypersetup{colorlinks=true,linkcolor=blue,urlcolor=blue}
 
 	%% Something like this may be needed depending on the package list
@@ -209,6 +210,7 @@ ptxd_make_license_compliance_header() {
 	\usepackage{tikz}
 	\usepackage{adjustbox}
 	\usepackage{spverbatim}
+	\usepackage{pdfpages}
 	\hypersetup{colorlinks=true,linkcolor=blue,urlcolor=blue}
 
 	%% Something like this may be needed depending on the package list
diff --git a/scripts/lib/ptxd_make_world_license.sh b/scripts/lib/ptxd_make_world_license.sh
index f68b75339cb2..785254603765 100644
--- a/scripts/lib/ptxd_make_world_license.sh
+++ b/scripts/lib/ptxd_make_world_license.sh
@@ -188,21 +188,32 @@ ptxd_make_world_license_write() {
 	    continue
 	fi
 	title="$(basename "${license}")"
-	cat <<- EOF
-		\section{$(ptxd_make_latex_escape "${title}")${guess}}
-		\begin{small}
-		\begin{spverbatim}
-	EOF
-	if [ -f "${license}.utf-8" ]; then
-	    cat "${license}.utf-8"
-	else
-	    cat "${license}"
-	fi | sed -e 's/\f/\n/g'
-	check_pipe_status || return
-	cat <<- EOF
-		\end{spverbatim}
-		\end{small}
-	EOF
+	case "${license}" in
+	    *.pdf)
+		cat <<- EOF
+			\section{$(ptxd_make_latex_escape "${title}")${guess}}
+			\includepdf[pages=-]{${license}}
+		EOF
+		;;
+	    *)
+		cat <<- EOF
+			\section{$(ptxd_make_latex_escape "${title}")${guess}}
+			\begin{small}
+			\begin{spverbatim}
+		EOF
+
+		if [ -f "${license}.utf-8" ]; then
+		    cat "${license}.utf-8"
+		else
+		    cat "${license}"
+		fi | sed -e 's/\f/\n/g'
+		check_pipe_status || return
+		cat <<- EOF
+			\end{spverbatim}
+			\end{small}
+		EOF
+		;;
+	esac
     done
 }
 export -f ptxd_make_world_license_write
-- 
2.30.2


_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de


             reply	other threads:[~2021-07-08 18:53 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-08 18:52 Roland Hieber [this message]
2021-07-08 18:52 ` [ptxdist] [PATCH v2 2/2] python3-pycryptodomex: fix license identifier Roland Hieber
2021-07-20 11:48   ` [ptxdist] [APPLIED] " Michael Olbrich
2021-07-20 11:48 ` [ptxdist] [APPLIED] ptxd_make_world_license: handle PDFs in _LICENSE_FILES Michael Olbrich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210708185255.3303-1-rhi@pengutronix.de \
    --to=rhi@pengutronix.de \
    --cc=ptxdist@pengutronix.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

mailarchive of the ptxdist mailing list

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://lore.ptxdist.org/ptxdist/0 ptxdist/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 ptxdist ptxdist/ https://lore.ptxdist.org/ptxdist \
		ptxdist@pengutronix.de
	public-inbox-index ptxdist

Example config snippet for mirrors.


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git